#  
# spec file for package python-scapy 
#  
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.  
#  
# All modifications and additions to the file contributed by third parties  
# remain the property of their copyright owners, unless otherwise agreed  
# upon. The license for this file, and modifications and additions to the  
# file, is the same license as for the pristine package itself (unless the  
# license for the pristine package is not an Open Source License, in which  
# case the license is the MIT License). An "Open Source License" is a  
# license that conforms to the Open Source Definition (Version 1.9)  
# published by the Open Source Initiative.  
  
# Please submit bugfixes or comments via http://bugs.opensuse.org/  
#

Name:               python-scapy
Version:            2.2.0
Release:            1.1
Summary:            Interactive Packet Manipulation Tool
Source:             http://www.secdev.org/projects/scapy/files/scapy-%{version}.tar.gz
Url:                http://www.secdev.org/projects/scapy/
Group:              Productivity/Networking/Security
License:            GPL-2.0
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      python-devel
BuildRequires:      python-sphinx
BuildArch:          noarch

%description
Scapy is a powerful interactive packet manipulation tool, packet generator,
network scanner, network discovery tool, and packet sniffer. It provides
classes to interactively create packets or sets of packets, manipulate them,
send them over the wire, sniff other packets from the wire, match answers and
replies, and more. Interaction is provided by the Python interpreter, so Python
programming structures can be used (such as variables, loops, and functions).
Report modules are possible and easy to make. It is intended to do about the
same things as ttlscan, nmap, hping, queso, p0f, xprobe, arping, arp-sk,
arpspoof, firewalk, irpas, tethereal, tcpdump, etc.

%prep
%setup -q -n scapy-%{version}
# For rpmlint warning: remove shebang from python library:
sed -i '/^#!/d' ./scapy/layers/inet6.py
sed -i '/^#!/d' ./scapy/tools/check_asdis.py

%build
python setup.py build

make -C doc/scapy html
rm doc/scapy/_build/html/.buildinfo doc/scapy/_build/html/_static/_dummy

%install
python setup.py install --prefix="%{_prefix}" --root="%{buildroot}"

%files
%defattr(-,root,root)
%doc doc/scapy/_build/html
%{_bindir}/UTscapy
%{_bindir}/scapy
%{python_sitelib}
%{_mandir}/man1/scapy.1%{ext_man}

%changelog
* Fri Apr 11 2014 p.drouand@gmail.com
- Specfile cleanup
* Tue Nov 20 2012 p.drouand@gmail.com  
- Initial release
